<?php
/**
 * Extra route of current module
 *
 * @author			Aby Dahana
 * @profile			abydahana.github.io
 * @website			www.aksaracms.com
 * @since			version 4.0.0
 * @copyright		(c) 2021 - Aksara Laboratory
 */
$routes->add('forum/create', '\Modules\Forum\Controllers\Forum::create');
$routes->add('forum/update', '\Modules\Forum\Controllers\Forum::update');
$routes->add('forum/delete', '\Modules\Forum\Controllers\Forum::delete');

$routes->add('forum/topics/create', '\Modules\Forum\Controllers\Topics::create');
$routes->add('forum/topics/update', '\Modules\Forum\Controllers\Topics::update');
$routes->add('forum/topics/delete', '\Modules\Forum\Controllers\Topics::delete');

$routes->add('forum/topics/repute', '\Modules\Forum\Controllers\Topics::repute');
$routes->add('forum/topics/report', '\Modules\Forum\Controllers\Topics::report');
$routes->add('forum/topics/close', '\Modules\Forum\Controllers\Topics::close');

$routes->add('forum/topics/(:any)/(:any)', '\Modules\Forum\Controllers\Topics::thread/$1/$2');
$routes->add('forum/topics/(:any)', '\Modules\Forum\Controllers\Topics::index/$1');